@font-face {
    font-family: "Felidae";
    src: url("../fonts/Felidae.ttf") format("truetype");
}
@font-face {
    font-family: "Betmo";
    src: url("../fonts/Betmo Regular Cyr.otf") format("truetype");
}
@font-face {
    font-family: "Vasek";
    src: url("../fonts/Vasek Italic_0.ttf") format("truetype");
}
@font-face {
    font-family: "ZT";
    src: url("../fonts/ZTNeueRalewe-Regular.ttf") format("truetype");
}
@font-face {
    font-family: "Vetrino";
    src: url("../fonts/Vetrino.otf") format("truetype");
}
@font-face {
    font-family: "denis";
    src: url("../fonts/denistina_en.ttf") format("truetype");
}
* {
    margin: 0;
    padding: 0;
    font-family: "Vetrino", sans-serif;


}

body {
    -webkit-text-size-adjust: 100%;
    font-weight: bold;
    overflow-x: hidden;
}



.container {
    max-width: 1100px;
    margin: 0 auto;
}
.hidden {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}
.hid {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 3s ease-out;
}


.show {
    opacity: 1;
    transform: translateY(0);
}



.first {
    /*background-image: url("../images/bg.jpg");*/
    color: #674a38;
    background-color: #f1edeb;
}
.main-page {

    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    max-width: 450px;
    margin: 0 auto;
    opacity: 0;
    transform: translateY(-50px);
    animation: fadeInDown 1.5s ease-out forwards;
}
.main-page-image {
    width: 450px;
    margin-top: -17px;
}
.image-one, .image-two {
    opacity: 0;
    transform: scale(0.5);
    animation: fadeInScale 1.5s ease-out forwards;
}
@keyframes fadeInDown {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.5);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}
.image-one {
    position: absolute;
    top: 24px;
    left: 5px;
}
.image-one .polaroid{
    position: relative;
    width: 230px;
    rotate: -15deg;
    z-index: 2;


}
.watermark {
    content: "ya-invite";
    position: fixed;
    font-size: 80px;
    color: rgba(0, 0, 0, 0.08);
    transform: rotate(-25deg);
    pointer-events: none;
    z-index: 555;
    white-space: nowrap;
    font-weight: 600; /* выглядит аккуратнее */
}

/* Три позиции */


body::after {
    content: "ya-invite";
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:555;
    white-space:nowrap;
}

html::after {
    content: "ya-invite";
    position: fixed;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-25deg);
    font-size: 80px;
    color: rgba(0,0,0,0.08);
    pointer-events:none;
    z-index:555;
    white-space:nowrap;
}
.foto {
    position: absolute;
    top: 40%;
    left: 58%;
    transform: translate(-50%, -50%);
    z-index: 1;
    rotate: -15deg;
}
.foto img {
    width: 162px;
    object-fit: cover;
    transform: translate(0px, 0px);
    clip-path: inset(0px 0px 0px 0px);
}
.image-two {
    position: absolute;
    bottom: 23px;
    left: 143px;
}
.image-two .polaroid-two{
    position: relative;
    width: 230px;
    rotate: 15deg;
    z-index: 2;


}

.foto-two {
    position: absolute;
    top: 56%;
    left: 35%;
    transform: translate(-50%, -50%);
    z-index: 1;
    rotate: 15deg;
}
.foto-two img {
    width: 160px;
    object-fit: cover;
    transform: translate(0px, 0px);
    clip-path: inset(0px 0px 0px 0px);
}

.main-page-text {
    position: absolute;
    top: 50px;
    right: -10px;
    color: #674a38;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
}
.main-page-text span {
    text-transform: uppercase;
}
.plus {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 371px;
    transform: translate(-50%, -50%);
    color: #674a38;
    font-size: 60px;
    font-weight: normal;
    background-color: #f1edeb;
    font-family: "Vasek",sans-serif;
}

.love {
    font-family: "Vasek",sans-serif;
    font-size: 60px;
    position: relative;
    display: inline-block;
}
.line-1 {
    position: absolute;
    width: 50px;
    height: 1px;
    background: #ff0404;
    bottom: 30px;
    right: -8px;
    transform: rotate(-40deg);
}

.letter-v {
    font-size: 60px;
    position: absolute;
    font-family: "Vasek",sans-serif;
    bottom: 30px;
    right: 7px;
    line-height: 1;
}
.fa-heart:before {
    color: red;
}

/*.invite {*/
/*    display: flex;*/
/*    justify-content: center;*/
/*    align-items: center;*/
/*    height: 100vh;*/
/*    text-align: center;*/
/*    overflow: hidden;*/
/*}*/







/*.name, .invite-name {*/
/*    opacity: 0;*/
/*    transform: scale(0.8);*/
/*    filter: blur(10px);*/
/*    animation: fadeInScale 1s ease-out forwards;*/
/*}*/

/*!* Задержки для последовательного появления *!*/
/*.name {*/
/*    animation-delay: 0.3s;*/
/*}*/

/*.invite-name.one {*/
/*    animation-delay: 0.6s;*/
/*}*/

/*.invite-name.two {*/
/*    animation-delay: 0.9s;*/
/*}*/

/*!* Анимация плавного появления с середины *!*/
/*@keyframes fadeInScale {*/
/*    from {*/
/*        opacity: 0;*/
/*        transform: scale(0.8);*/
/*        filter: blur(10px);*/
/*    }*/
/*    to {*/
/*        opacity: 1;*/
/*        transform: scale(1);*/
/*        filter: blur(0);*/
/*    }*/
/*}*/

/*.people {*/
/*    background-color: #3e5984;*/

/*}*/
/*.name-people span {*/
/*    font-family: "League Script", sans-serif;*/
/*    font-weight: normal;*/
/*    margin-top: 20px;*/
/*    font-size: 90px;*/


/*}*/
/*.people .container {*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    text-align: center;*/
/*    justify-content: center;*/
/*}*/
/*.name-people {*/
/*    font-size: 180px;*/
/*    line-height: 0.8;*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    text-align: center;*/
/*    font-family: "Poiret One", sans-serif;*/

/*}*/

/*.invite {*/
/*    padding: 0 0 100px 0;*/
/*    background-color: #3e5984;*/
/*    !*background-color: #f0f8ff;*!*/
/*}*/
/*.invite .container {*/

/*}*/
/*.name {*/
/*    color: #fff;*/
/*    font-size: 350px;*/
/*    font-family: "Book Antiqua", sans-serif;*/
/*}*/
/*.invite .text {*/
/*    margin-left: auto;*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    align-items: flex-start;*/
/*    margin-top: 50px;*/
/*    width: max-content;*/
/*}*/
/*.invite-name {*/
/*    font-family: "Alumni Sans Pinstripe", sans-serif;*/
/*    font-size: 30px;*/
/*}*/
/*.photo-line {*/
/*    width: 100%;*/
/*    height: 300px;*/
/*    background-color: #152d62;*/
/*}*/


.dear, .location-title, .program-title, .dresscode-title, .wishes-title,
.organizer-title, .presence-title {
   font-family: "denis", sans-serif;
    font-weight: normal;
}
/* .location .banquet, .presence .presence-text {*/
/*    padding-bottom: 30px;*/
/*    border-bottom: 1px solid;*/
/*    border-image-source: linear-gradient(to right, transparent, #000, transparent);*/
/*    border-image-slice: 1;*/
/*}*/
/*.invite-name.one {*/
/*    padding-bottom: 10px;*/
/*    border-bottom: 1px solid;*/
/*    border-image-source: linear-gradient(to right, transparent,  #fff, transparent);*/
/*    border-image-slice: 1;*/
/*}*/


#preloader {
    background-color: black;
    position: fixed;
    width: 100%;
    height: 100%;
    color: white;
    font-family: Arial, sans-serif;
    flex-direction: column;
    opacity: 1;
    transition: opacity 1s ease;
    text-align: center;
    overflow: hidden;
    background-image: url("../images/photo1.jpg");
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
    background-attachment: fixed;
    display: flex;
    justify-content: flex-end; /* центр по горизонтали */
    align-items: center;
    padding-bottom: 50px;
}
#preloader::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.3); /* затемнение 50% */
    z-index: 1;
}

#preloader > * {
    position: relative;
    z-index: 2; /* текст и контент выше затемнения */
}

.preloader-text {
    position: relative;
    z-index: 1;
    /*background: rgba(0, 0, 0, 0.3); !* Затемнённый фон для текста *!*/
    /*padding: 70px;*/
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

}

/*#content {*/
/*    display: none;*/
/*    opacity: 0;*/
/*    transition: opacity 1s ease;*/
/*}*/


.preloader-wed-day, .preloader-name, .razblock, .open-btn img {
    opacity: 0;
    transform: scale(0.8);
    filter: blur(10px);
    animation: fadeInScale 1s ease-out forwards;
}
/*#preloader .open-btn {*/
/*    position: fixed;  !* фиксируем относительно окна *!*/
/*    bottom: 30px;     !* отступ снизу *!*/
/*    left: 50%;        !* по центру по горизонтали *!*/
/*    transform: translateX(-50%); !* центрируем точно *!*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    align-items: center;*/
/*    justify-content: center;*/
/*}*/
/*.open-btn img {*/
/*    width: 300px;*/
/*}*/

.open-btn {
    width: 320px;
    height: 320px;
    margin: 0 auto;
}

.open-btn .rotating-text text{
    font-family: "ZT", sans-serif !important;
}
.rotating-text {
    animation: rotate 30s linear infinite;
    transform-origin: 50% 50%;


}

@keyframes rotate {
    from { transform: rotate(0deg); }
    to   { transform: rotate(360deg); }
}
#music-toggle {
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 50%;
    padding: 10px 10px 12px 12px;
    font-size: 20px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    box-sizing: border-box;
    border: 1px solid gray;
    transition: background-color 0.3s;
}
#music-toggle:hover {
    background-color: rgba(255, 255, 255, 0.5);
}
@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
        filter: blur(10px);
    }
    to {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
    }
}

.pulse-heart {
    width: 50px; /* Размер сердечка */
    height: 50px;
    animation: heartPulse 1s infinite;
    z-index: 2;
}

.pulse-circle {
    position: absolute;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-color: rgba(255, 253, 253, 0.3);
    animation: circlePulse 2s infinite;
    z-index: 1;
}

@keyframes heartPulse {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.5);
    }
}

@keyframes circlePulse {
    0% {
        transform: scale(1);
        opacity: 0.6;
    }
    70% {
        transform: scale(2);
        opacity: 0;
    }
    100% {
        transform: scale(1);
        opacity: 0;
    }
}

.preloader-wed-day {
    font-size: 50px;
    font-family: "Betmo", sans-serif;
    animation-delay: 0.3s;
}

.preloader-name {
    font-size: 65px;
    margin: 30px 0 50px 0;
    font-family: "Felidae", sans-serif;
    animation-delay: 0.8s;
}

.preloader-name.fraza {
    font-size: 30px;
    margin-bottom: 30px;
    font-family: "Felidae", sans-serif;
    animation-delay: 0.6s;
}

.razblock, .open-btn img{
    animation-delay: 0.9s;
    /*margin-top: 100px;*/
}


@keyframes fadeInScale {
    from {
        opacity: 0;
        transform: scale(0.8);
        filter: blur(10px);
    }
    to {
        opacity: 1;
        transform: scale(1);
        filter: blur(0);
    }
}

.main {
    padding-top: 100px;
    background-color: #674a38;
    padding-bottom: 100px;
    color: #f1edeb;
    margin-top: -11px;
    position: relative;
    z-index: 5;
}

.dear {
    font-size: 70px;
    text-align: center;
    font-weight: normal;
}

.no-fonts {
    text-align: center;
    font-size: 42px;
    margin-top: 30px;
    margin-bottom: 30px;
}

/*.image-three {*/
/*    position: absolute;*/
/*    left: 50%;*/
/*    bottom: -420px;*/
/*    transform: translate(-50%, -50%);*/
/*}*/
.image-three {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
}
.image-three .polaroid-three{
    position: relative;
    width: 384px;
    height: 538px;
    z-index: 2;


}
.main-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.foto-three {
    position: absolute;
    height: 260px;
    top: 165px;
    left: 48%;
    transform: translate(-50%, -50%);
    z-index: 1;
}
.foto-three .img-three {
    width: 260px;
    /* object-fit: cover; */
    clip-path: inset(0px 0px 0px 0px);
    transform: translate(0, 16px);
}
.main .text {
    font-size: 30px;
}
/*.text-right {*/
/*    display: flex;*/
/*    align-items: flex-end;*/
/*    flex-direction: column;*/
/*}*/
/*.main-info .text-right .text-right-one {*/
/*    font-family: "Great Vibes", sans-serif;*/
/*}*/
/*.main-info .text-right .text-right-two {*/
/*    font-family: "Book Antiqua", sans-serif;*/
/*    font-size: 30px;*/
/*    margin-top: -15px;*/
/*    font-weight: bold;*/
/*}*/

 .program, .presence, .location, .dresscode, .wishes {
    padding: 100px 0 0px 0;
     color: #674a38;
     background-color: #f1edeb;


}
 .program {
     padding-bottom: 100px;
 }

.location-title, .program-title, .dresscode-title, .wishes-title, .organizer-title,
.presence-title {
    text-align: center;
    font-size: 85px;
}

.program .container {

}
.program a {
    text-decoration: none;
    color: gray;
    text-align: center;
}

.timeline {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 3px;
}
.event {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 85%;
    font-size: 40px;
    gap: 0px;

}
.name {
    text-align: center;
}
.event.line {
    width: 1px;
    height: 70px;
    background-color: black;
}


.location {
    color: #f1edeb;
    background-color: #674a38;
    padding: 100px 0;
}

.location img{
    width: 80%;
    margin-bottom: 20px;
    max-width: 600px;

}

.location-info {
    text-align: center;
    font-size: 60px;
}
.location-address a {
    font-size: 30px;
    font-weight: bold;
    text-decoration: none;
    outline: none;
    color: #f1edeb;
    display: inline-block;
    cursor: pointer;
    border: 1px solid #f1edeb;
    border-radius: 30px;
    padding: 10px 0 15px 0;
    width: 100%;
    box-sizing: border-box;
    margin-top: 20px;
}
.location-address a:hover {
    color: #8c8c8c;
    display: inline-block;
    cursor: pointer;

}





.dresscode .container {
    /*position: relative;*/

}
.dresscode {
    position: relative;
    padding-bottom: 100px;
    overflow: hidden;
}
.wishes {
    padding-top: 0px;

}
.phone a{
    text-decoration: none;
    color: black;
}
.dresscode-info {
    text-align: center;
    font-size: 40px;
}
.inf-men-girl {

}
.dresscode-info.inf-men-girl {
    text-align: left;
    margin-top: 30px;

}
.obraz {
    /*overflow: hidden;*/
    position: relative;
}
.obraz-man  {


}
.back {
    display: flex;
    margin-top: 30px;
    justify-content: center;
    /*top: 45px;*/
    /*left: 15px;*/
    /*position: absolute;*/
}


.back1, .back2, .back3 {
    background-color: #c4b39a;
    width: 130px;
    height: 200px;
    border-radius: 5px;
    box-sizing: border-box;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);

}
.back1 {
    transform: rotate(3deg);
    z-index: 1;
}
.back2 {
    transform: rotate(3deg);
    z-index: 2;
    margin-top: 50px;
    margin-left: -10px;
}
.back3 {
    transform: rotate(5deg);
    margin-top: -20px;
    z-index: 3;
    margin-left: -25px;
}
.obraz-image {
    display: flex;
    top: 57px;
    left: 30px;
    position: absolute;
}
.image1, .image2, .image3, .image4 {
    width: 130px;
    height: 200px;
    border-radius: 5px;
    position: relative;

}
.image-obraz-dop {
    position: absolute;
    right: 20px;
    bottom: -185px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}
.image-obraz-dop-text {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
}

/* Общие стили для картинок */
.image1 img,
.image2 img,
.image3 img {
    width: 100%;  /* или нужный размер */
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    position: absolute;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
}/* Общие стили для картинок */

.image4 img{
    width: 100%;  /* или нужный размер */
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
}

.image1 img {
    top: 5px;
    left: -5px;
    z-index: 6;
}
.image2 img {
    top: 44px;
    left: -26px;
    z-index: 5;
}
.image3 img {
    top: -18px;
    left: -40px;
    z-index: 4;
}

.dresscode .line {
    margin: 30px auto;
    background-color: #3f3731;
    width: 100px;
    height: 1px;
    z-index: 66666;

}
.dresscode-info-blocks {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 30px;
    margin-left: 20px;
}

.dresscode-info-block {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    margin-left: -20px;

}
.dresscode-info-block img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: 50%;
}
.dresscode-info-block.second img {
    filter: brightness(1.3);
}

/*.dresscode-info-block {*/
/*    opacity: 0;*/
/*    transform: translateX(-20px);*/
/*    transition: opacity 0.8s ease-in-out, transform 0.8s ease-in-out;*/
/*}*/
/*.dresscode-info-blocks .dresscode-info-block:nth-child(1) { transition-delay: 0.2s; }*/
/*.dresscode-info-blocks .dresscode-info-block:nth-child(2) { transition-delay: 0.4s; }*/
/*.dresscode-info-blocks .dresscode-info-block:nth-child(3) { transition-delay: 0.6s; }*/
/*.dresscode-info-blocks .dresscode-info-block:nth-child(4) { transition-delay: 0.8s; }*/
/*.dresscode-info-blocks .dresscode-info-block:nth-child(5) { transition-delay: 1s; }*/
/*.dresscode-info-blocks .dresscode-info-block:nth-child(6) { transition-delay: 1.2s; }*/
/*.dresscode-info-blocks .dresscode-info-block:nth-child(7) { transition-delay: 1.4s; }*/
/*.dresscode-info-blocks .dresscode-info-block:nth-child(8) { transition-delay: 1.6s; }*/

/*.dresscode-info-blocks.active .dresscode-info-block {*/
/*    opacity: 1;*/
/*    transform: translateX(0);*/
/*}*/
/*.dresscode-info-block.second {*/
/*    background-color: #533b2f;*/
/*}*/
/*.dresscode-info-block.third {*/
/*    background-color: #fef1e1;*/
/*    border: 1px solid #d9ccbc;*/
/*    box-sizing: border-box;*/
/*}*/
/*.dresscode-info-block.five {*/
/*    background-color: #d9ccbc;*/
/*}*/
/*.dresscode-info-block.six {*/
/*    background-color: #bd9b9a;*/
/*}*/
/*.dresscode-info-block.seven {*/
/*    background-color: #98a186;*/
/*}*/
.wishes.details {
    padding-bottom: 100px;
}
.wishes .container {
    position: relative;

}
.wishes-wed {
    position: absolute;
    top: 40%;
    left: -22%;
    rotate: 270deg;
    font-family: "Book Antiqua", sans-serif;
    text-transform: uppercase;
    font-size: 85px;
    color: white;
}

.wishes-text {
    text-align: center;
    font-size: 40px;
}

.social-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    font-size: 22px;
    color: white;
    text-decoration: none;
    /*margin: 0 6px;*/
    vertical-align: middle;
}

.social-link i {
    line-height: 1;
    vertical-align: middle;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 36px; /* Увеличение размера */
    transition: transform 0.3s ease, color 0.3s ease;
}

.social-link.whatsapp i {
    color: #c4b39a; /* Зеленый цвет WhatsApp */
}

.social-link.telegram i {
    color: #674a38; /* Синий цвет Telegram */
}
.social-link.phone, .social-link.whatsapp {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background-color: #c4b39a; /* или любой нужный */
    text-decoration: none;
}
.social-link.phone i, .social-link.whatsapp i {
    color: white; /* Синий цвет Telegram */
    font-size: 20px;
}

.chat {
    text-decoration: none;
    color: #674a38;
    border: 2px solid #674a38;
    border-radius: 10px;
    display: block;
    margin-top: 0px;
    text-align: center;
    box-sizing: border-box;
    padding: 10px 0 15px 0;
    font-weight: bold;
}
.presence {
    padding-bottom: 50px;
}
.presence .container {
    position: relative;

}

.presence-text {
    text-align: center;
    font-size: 40px;
    margin-bottom: 30px;
}
.wedding-form * {
    box-sizing: border-box;
}
.wedding-form {
    max-width: 700px;
    margin: 0 auto;
    padding: 20px;
    font-size: 30px;
    font-family: "Cormorant Infant", sans-serif;

    fieldset {
        margin: 0 0 15px 0;
        padding: 0;
        border: none;
    }

    legend {
        display: block;
        font-weight: bold;
        margin-bottom: 5px;
    }

    label {
        display: block;
        margin: 5px 0;
    }

    input[type="text"],
    textarea {
        width: 100%;
        padding: 8px;
        border: 1px solid #fff;
        border-radius: 5px;
        font-size: 16px;
    }
    .wedding-form input[type="radio"],
    .wedding-form input[type="checkbox"],
    textarea {
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
    }
    textarea {
        min-height: 100px;
    }

    button {
        -webkit-appearance: none; /* Убирает дефолтные стили в Safari */
        -moz-appearance: none; /* Для Firefox */
        appearance: none; /* Общий сброс */
        background: transparent;
        width: 100%;
        padding: 10px;
        border: 1px solid #000;
        color: #000;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;
        font-weight: bold;

        &:hover {
            background: gray;
            border: 1px solid black;
        }
        &:focus {
            outline: none; /* Убирает синюю рамку при фокусе */
        }
    }
}
@supports (-webkit-appearance: none) {
    .wedding-form {
        max-width: 700px;
        margin: 0 auto;
        padding: 20px;
        font-size: 30px;
        font-family: "Cormorant Infant", sans-serif;
    }

    fieldset {
        border: none !important;
        padding: 0;
    }

    legend {
        font-weight: bold;
        margin-bottom: 5px;
    }

    label {
        display: block;
        margin: 5px 0;
    }
    input[type="text"],
    textarea {
        width: 100%;
        padding: 8px;
        border: 1px solid #fff;
        border-radius: 5px;
        font-size: 16px;
    }

    textarea {
        min-height: 100px;
    }

    button {
        -webkit-appearance: none; /* Убирает дефолтные стили в Safari */
        -moz-appearance: none; /* Для Firefox */
        appearance: none; /* Общий сброс */
        background: transparent;
        width: 100%;
        padding: 10px;
        border: 1px solid #000;
        color: #000;
        border-radius: 5px;
        cursor: pointer;
        font-size: 16px;
        font-weight: bold;

        &:hover {
            background: gray;
            border: 1px solid black;
        }
        &:focus {
            outline: none; /* Убирает синюю рамку при фокусе */
        }
    }
}


.timout {
    background-color: #674a38;
    padding: 50px 0;
    color: #f1edeb;
}
.timout-title {
    font-size: 55px;
    color: #f1edeb;
    text-align: center;
    font-weight: normal;
    white-space: nowrap;
    font-family: "denis", sans-serif;
}
#countdown {
    display: flex;
    justify-content: center;
    gap: 0px;
}

.time-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #f1edeb;
    padding: 15px;
    text-align: center;

}

.time-box span {
    font-size: 32px;
    font-weight: bold;
    line-height: 1;
}

.time-box p {
    margin: 5px 0 0;
    font-size: 14px;
    text-transform: uppercase;
    opacity: 0.8;
    font-weight: bold;
}



